Bug 801509 - SELinux is preventing /lib/systemd/systemd-logind from 'getattr' accesses on the archivo /proc/<pid>/sessionid.
SELinux is preventing /lib/systemd/systemd-logind from 'getattr' accesses on ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:0238113daab2a21242ea868dfad...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-08 12:37 EST by Jason Espinoza
Modified: 2012-03-23 20:37 EDT (History)
5 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-80.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-23 20:37:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Espinoza 2012-03-08 12:37:41 EST
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.2.9-1.fc16.x86_64
reason:         SELinux is preventing /lib/systemd/systemd-logind from 'getattr' accesses on the archivo /proc/<pid>/sessionid.
time:           jue 08 mar 2012 11:37:27 CST

description:
:SELinux is preventing /lib/systemd/systemd-logind from 'getattr' accesses on the archivo /proc/<pid>/sessionid.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that systemd-logind should be allowed getattr access on the sessionid file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep systemd-logind /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:systemd_logind_t:s0
:Target Context                system_u:system_r:devicekit_power_t:s0-s0:c0.c1023
:Target Objects                /proc/<pid>/sessionid [ file ]
:Source                        systemd-logind
:Source Path                   /lib/systemd/systemd-logind
:Port                          <Desconocido>
:Host                          (removed)
:Source RPM Packages           systemd-37-13.fc16.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-75.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.2.9-1.fc16.x86_64 #1 SMP Thu
:                              Mar 1 01:41:10 UTC 2012 x86_64 x86_64
:Alert Count                   10
:First Seen                    mié 07 mar 2012 09:12:40 CST
:Last Seen                     jue 08 mar 2012 11:36:40 CST
:Local ID                      ff145abe-cf4d-4230-a1df-984a0a57e760
:
:Raw Audit Messages
:type=AVC msg=audit(1331228200.927:116): avc:  denied  { getattr } for  pid=904 comm="systemd-logind" path="/proc/3453/sessionid" dev=proc ino=425137 scontext=system_u:system_r:systemd_logind_t:s0 tcontext=system_u:system_r:devicekit_power_t:s0-s0:c0.c1023 tclass=file
:
:
:type=SYSCALL msg=audit(1331228200.927:116): arch=x86_64 syscall=fstat success=yes exit=0 a0=c a1=7fff7b39ae50 a2=7fff7b39ae50 a3=238 items=0 ppid=1 pid=904 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=systemd-logind exe=/lib/systemd/systemd-logind subj=system_u:system_r:systemd_logind_t:s0 key=(null)
:
:Hash: systemd-logind,systemd_logind_t,devicekit_power_t,file,getattr
:
:audit2allow
:
:#============= systemd_logind_t ==============
:allow systemd_logind_t devicekit_power_t:file getattr;
:
:audit2allow -R
:
:#============= systemd_logind_t ==============
:allow systemd_logind_t devicekit_power_t:file getattr;
:
Comment 1 Daniel Walsh 2012-03-08 14:05:25 EST
Fixed in selinux-policy-3.10.0-79.fc16
Comment 2 Fedora Update System 2012-03-13 08:26:24 EDT
selinux-policy-3.10.0-80.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/FEDORA-2012-2733/selinux-policy-3.10.0-80.fc16
Comment 3 Fedora Update System 2012-03-20 22:25:33 EDT
Package selinux-policy-3.10.0-80.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-80.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2733/selinux-policy-3.10.0-80.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-03-23 20:37:42 EDT
selinux-policy-3.10.0-80.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.